<template>
  <div>
    <!-- 年度开工率 -->
    <Echart :options="options" id="bottomLeftChart" height="480px"></Echart>
  </div>
</template>

<script>
import Echart from '@/common/echart'
export default {
  data() {
    return {
      options: {},
    };
  },
  components: {
    Echart,
  },
  props: {
    cdata: {
      type: Object,
      default: () => ({})
    },
  },
  watch: {
    cdata: {
      handler(newData) {
        this.options = {
          title: {
            text: "",
          },
          tooltip: {
            trigger: "axis",
            backgroundColor: "rgba(255,255,255,0.1)",
            axisPointer: {
              type: "shadow",
              label: {
                show: true,
                backgroundColor: "#7B7DDC"
              }
            }
          },
          legend: {
            data: ["板材下料口", "封边下料口","砂边下料口","钻孔下料位"],
            textStyle: {
              color: "#B4B4B4"
            },
            top: "0%",
          },
          grid: {
            x: "12%",
            width: "90%",
            y: "8%"
          },
          xAxis: {
            data: newData.category,
            axisLine: {
              lineStyle: {
                color: "#B4B4B4"
              }
            },
            axisTick: {
              show: false
            }
          },
          yAxis: [
            {
              splitLine: { show: false },
              axisLine: {
                lineStyle: {
                  color: "#B4B4B4"
                }
              },

              axisLabel: {
                formatter: "{value} "
              }
            },
            {
              splitLine: { show: false },
              axisLine: {
                lineStyle: {
                  color: "#B4B4B4"
                }
              },
              axisLabel: {
                formatter: "{value} "
              }
            }
          ],
          series: [
            {
              name: "板材下料口",
              type: "bar",
              barWidth: 25,
              itemStyle: {
                normal: {
                  barBorderRadius: 5,
                  color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    { offset: 0, color: "#956FD4" },
                    { offset: 1, color: "#3EACE5" }
                  ]),
                  label: {
                    show: true, // 显示标签
                    position: 'top', // 标签位置，可以设置 'top', 'insideTop', 'inside', 'insideBottom' 等
                    formatter: '{c}', // 标签内容格式器，{c} 表示数据值
                    fontSize: 14, // 标签文字大小，默认为 12
                    fontWeight: 'bold', // 标签文字粗细，默认为 'normal'
                    color: '#ffffff' // 标签文字颜色，默认为 '#333'
                  }
                }
              },
              data: newData.lineData
            },
            {
              name: "封边下料口",
              type: "bar",
              barWidth: 25,
              itemStyle: {
                normal: {
                  barBorderRadius: 5,
                  color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                    { offset: 0, color: "rgba(156,107,211,0.8)" },
                    { offset: 0.2, color: "rgba(156,107,211,0.5)" },
                    { offset: 1, color: "rgba(156,107,211,0.2)" }
                  ]),
                  label: {
                    show: true, // 显示标签
                    position: 'top', // 标签位置，可以设置 'top', 'insideTop', 'inside', 'insideBottom' 等
                    formatter: '{c}', // 标签内容格式器，{c} 表示数据值
                    fontSize: 14, // 标签文字大小，默认为 12
                    fontWeight: 'bold', // 标签文字粗细，默认为 'normal'
                    color: '#ffffff' // 标签文字颜色，默认为 '#333'
                  }
                }
              },
              z: -12,
              data: newData.lineData2
            },
            {
              name: "砂边下料口",
              type: "bar",
              barWidth: 25,
              itemStyle: {
                normal: {
                  barBorderRadius: 5,
                  color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "rgba(255,165,0,0.8)" },  // 橙色
{ offset: 0.2, color: "rgba(255,165,0,0.5)" },
{ offset: 1, color: "rgba(255,165,0,0.2)" }
                  ]),
                  label: {
                    show: true, // 显示标签
                    position: 'top', // 标签位置，可以设置 'top', 'insideTop', 'inside', 'insideBottom' 等
                    formatter: '{c}', // 标签内容格式器，{c} 表示数据值
                    fontSize: 14, // 标签文字大小，默认为 12
                    fontWeight: 'bold', // 标签文字粗细，默认为 'normal'
                    color: '#ffffff' // 标签文字颜色，默认为 '#333'
                  }
                }
              },
              z: -12,
              data: newData.barData
            },
            {
              name: "钻孔下料位",
              type: "bar",
              barWidth: 25,
              itemStyle: {
                normal: {
                  barBorderRadius: 5,
                  color: new this.$echarts.graphic.LinearGradient(0, 0, 0, 1, [
                  { offset: 0, color: "rgba(255,87,255,0.8)" },
                  { offset: 0.2, color: "rgba(255,87,255,0.5)" },
                  { offset: 1, color: "rgba(255,87,255,0.2)" }
                  ]),
                  label: {
                    show: true, // 显示标签
                    position: 'top', // 标签位置，可以设置 'top', 'insideTop', 'inside', 'insideBottom' 等
                    formatter: '{c}', // 标签内容格式器，{c} 表示数据值
                    fontSize: 14, // 标签文字大小，默认为 12
                    fontWeight: 'bold', // 标签文字粗细，默认为 'normal'
                    color: '#ffffff' // 标签文字颜色，默认为 '#333'
                  }
                }
              },
              z: -12,
              data: newData.barData2
            }
          ]
        }
      },
      immediate: true,
      deep: true
    },
  },
}
</script>